> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/users/get-all-updated-users-after-a-specific-date.md).

# Get all updated users after a specific date

*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*

Get all UPDATED users after the specified date. Updated users are returned per department with updated field keys under the "changed" node. Date is inclusive and starts from 00:00 time in CET time zone, unless optional {time} parameter is passed (format: HH:MM, for example 14:30).

If the passed date is yesterday's date, then all users updated via API or directly in the UI yesterday will be returned. Note the Date here is related to when a log was created in SameSystem (action was made), and it is not the same as the change\_date unless the log\_created\_at and changed\_date are the same. A contract can have been created yesterday (log\_created\_at), but take effect in a month (change\_date). By using the date parameter it will take from the date that is selected until current date (if date is in the past).

If there are custom fields in the export settings defined, then JSON key will be transliterated and downcased field name with id in the end, for example, "Køn" => "kon\_704".

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/users/updated/{date}/{time}":{"get":{"tags":["Users"],"summary":"Get all updated users after a specific date","description":"*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*\n\nGet all UPDATED users after the specified date. Updated users are returned per department with updated field keys under the \"changed\" node. Date is inclusive and starts from 00:00 time in CET time zone, unless optional {time} parameter is passed (format: HH:MM, for example 14:30).\n\nIf the passed date is yesterday's date, then all users updated via API or directly in the UI yesterday will be returned. Note the Date here is related to when a log was created in SameSystem (action was made), and it is not the same as the change_date unless the log_created_at and changed_date are the same. A contract can have been created yesterday (log_created_at), but take effect in a month (change_date). By using the date parameter it will take from the date that is selected until current date (if date is in the past).\n\nIf there are custom fields in the export settings defined, then JSON key will be transliterated and downcased field name with id in the end, for example, \"Køn\" => \"kon_704\".","operationId":"get-clientToken-users-updated-date-time","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you retrieve data from/to the right department.","required":true,"schema":{"type":"string"}},{"name":"date","in":"path","description":"Date for filtering users. Format: YYYY-MM-DD","required":true,"schema":{"type":"string"}},{"name":"time","in":"path","description":"Time for filtering users. Format: hh:mm","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}}}}}}}},"components":{"schemas":{"User":{"type":"object","properties":{"user_id":{"type":"number"},"wage_earner_no":{"type":"string","description":"Payroll number (on contract)"},"role":{"type":"string"},"civil_no":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"address_line1":{"type":"string"},"postal_code":{"type":"string"},"city":{"type":"string"},"mobile":{"type":"string"},"email":{"type":"string"},"salary_dpt_no":{"type":"string"},"start_date":{"type":"string","format":"date"},"employee_type":{"type":"string","description":"Fulltime or Hourly"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/users/get-all-updated-users-after-a-specific-date.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
